<template>
    <v-card 
        class="game-tile" 
    >
    <img v-lazy="game.thumbnailUrl" />
    <div class="tags-container">
        <span class="tag" v-for="tag in game.tags" :key="tag">
            {{tag.toLowerCase()}}
        </span>
    </div>
  </v-card>
</template>

<script>
export default {
    name: 'GameTile',
    props: {
        game: Object
    },
};
</script>

<style lang="scss" scoped>
    img {
        width: 100%;
        height: auto;
    }

    .game-tile {
        display: flex;
        flex-direction: column;
    }

    .tags-container {
        position: absolute;
        background: rgba(0,0,0,.4);
        width: 100%;
        bottom: 0;
        display: flex;
        flex-wrap: nowrap;
    
        & > .tag {
            color: white;
            font-size: 12px;
            margin: .5rem;
            text-transform: capitalize;
        }
    }
</style>
